package com.jscape.inet.ssh.protocol.v2.messages;

import com.jscape.inet.ssh.protocol.messages.Message;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public abstract class SshMsgUserAuthRequest<H extends Message.HandlerBase>
        extends Message<H> {

    public final String username;
    public final String serviceName;

    public SshMsgUserAuthRequest(String username, String serviceName) {
        assertNotNull(username);
        this.username = username;

        assertNotNull(serviceName);
        this.serviceName = serviceName;
    }

}
